Get multiple current metric values
curl --request POST \
--url https://api.quiva.ai/monitoring/metrics/current \
--header 'Content-Type: application/json' \
--data '
{
"metrics": [
"messages_per_second",
"memory_usage",
"error_rate"
],
"account": "acme",
"stream": "events"
}
'import requests
url = "https://api.quiva.ai/monitoring/metrics/current"
payload = {
"metrics": ["messages_per_second", "memory_usage", "error_rate"],
"account": "acme",
"stream": "events"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
metrics: ['messages_per_second', 'memory_usage', 'error_rate'],
account: 'acme',
stream: 'events'
})
};
fetch('https://api.quiva.ai/monitoring/metrics/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"data": [
{
"ts": 1715241600000,
"value": 152.3
},
{
"ts": 1715241600000,
"value": 78.5
},
{
"error": "no data"
}
]
}{
"message": "metrics are required",
"data": null
}{
"message": "oops",
"data": null
}metrics
Get multiple current metric values
Retrieves the latest values for multiple metrics simultaneously
POST
/
monitoring
/
metrics
/
current
Get multiple current metric values
Body
application/json
Metrics request parameters
⌘I